odf.grammar Namespace Reference

## Variables

string | __doc__
dictionary | allowed_children
tuple | allows_text
dictionary | required_attributes
dictionary | allowed_attributes

## Variable Documentation

string odf.grammar.__doc__

Initial value:
= """ In principle the OpenDocument schema converted to python structures.
Currently it contains the legal child elements of a given element.
To be used for validation check in the API
"""

Definition at line 21 of file grammar.py.

dictionary odf.grammar.allowed_attributes

Definition at line 4678 of file grammar.py.

dictionary odf.grammar.allowed_children

Definition at line 62 of file grammar.py.

tuple odf.grammar.allows_text

Definition at line 3619 of file grammar.py.

dictionary odf.grammar.required_attributes

Definition at line 3761 of file grammar.py.